classification
Title: Dead links in mailbox doc
Type: Stage: resolved
Components: Documentation, email Versions: Python 3.10, Python 3.9, Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Mariatta, ZackerySpytz, barry, docs@python, maxking, methane, miss-islington, r.david.murray
Priority: normal Keywords: patch

Created on 2019-10-15 16:02 by methane, last changed 2020-10-22 23:55 by miss-islington. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 22239 merged ZackerySpytz, 2020-09-14 05:56
PR 22901 merged miss-islington, 2020-10-22 23:33
PR 22902 merged miss-islington, 2020-10-22 23:33
PR 22903 closed miss-islington, 2020-10-22 23:33
Messages (6)
msg354738 - (view) Author: Inada Naoki (methane) * (Python committer) Date: 2019-10-15 16:02
Reported on mailing list: https://mail.python.org/archives/list/docs@python.org/thread/NIXFQMWFNSNO6RXPINY56CQQ5L7QIRUV/

qmail.org is dead.  The mailbox doc [1] contains two links to man pages in qmail.org.
Can we just remove them?

[1] https://docs.python.org/3/library/mailbox.html
msg355086 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2019-10-21 17:18
Seems like we meant to reference to the maildir specification, which used to be hosted in qmail.com

Since qmail is gone, how about we refer to maildir info here? https://wiki2.dovecot.org/MailboxFormat/Maildir
msg379383 - (view) Author: miss-islington (miss-islington) Date: 2020-10-22 23:33
New changeset ec388cfb4ede56dace2bb78851ff6f38fa2a6abe by Zackery Spytz in branch 'master':
bpo-38486: Fix dead qmail links in the mailbox docs (GH-22239)
https://github.com/python/cpython/commit/ec388cfb4ede56dace2bb78851ff6f38fa2a6abe
msg379385 - (view) Author: Barry A. Warsaw (barry) * (Python committer) Date: 2020-10-22 23:40
Thanks for the PR @ZackerySpytz - this has landed in git head and is currently being backported to 3.9 and 3.8 (3.7 is in security-fix only mode).
msg379386 - (view) Author: miss-islington (miss-islington) Date: 2020-10-22 23:42
New changeset cd894b1094ac472ceb98fe15a28ebeb8301fc079 by Miss Skeleton (bot) in branch '3.8':
[3.8] bpo-38486: Fix dead qmail links in the mailbox docs (GH-22239) (GH-22902)
https://github.com/python/cpython/commit/cd894b1094ac472ceb98fe15a28ebeb8301fc079
msg379387 - (view) Author: miss-islington (miss-islington) Date: 2020-10-22 23:55
New changeset 69479ecfa86cc2f0e70d5627d52907e82c3f5b9b by Miss Skeleton (bot) in branch '3.9':
[3.9] bpo-38486: Fix dead qmail links in the mailbox docs (GH-22239) (GH-22901)
https://github.com/python/cpython/commit/69479ecfa86cc2f0e70d5627d52907e82c3f5b9b
History
Date User Action Args
2020-10-22 23:55:12miss-islingtonsetmessages: + msg379387
2020-10-22 23:42:08miss-islingtonsetmessages: + msg379386
2020-10-22 23:40:53barrysetstatus: open -> closed
versions: - Python 3.7
messages: + msg379385

resolution: fixed
stage: patch review -> resolved
2020-10-22 23:33:59miss-islingtonsetpull_requests: + pull_request21834
2020-10-22 23:33:52miss-islingtonsetpull_requests: + pull_request21833
2020-10-22 23:33:45miss-islingtonsetpull_requests: + pull_request21832
2020-10-22 23:33:36miss-islingtonsetnosy: + miss-islington
messages: + msg379383
2020-10-22 23:29:18barrysetversions: + Python 3.10
2020-09-14 05:56:23ZackerySpytzsetkeywords: + patch
nosy: + ZackerySpytz

pull_requests: + pull_request21294
stage: patch review
2019-10-21 17:18:30Mariattasetnosy: + Mariatta
messages: + msg355086
2019-10-15 16:22:16xtreaksetnosy: + barry, r.david.murray, maxking
components: + email
2019-10-15 16:02:16methanecreate